org.deidentifier.arx.gui.view.impl.menu

## Class DialogComboSelection

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.deidentifier.arx.gui.view.impl.menu.DialogComboSelection

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class DialogComboSelection
    extends org.eclipse.jface.dialogs.Dialog

A selection dialog for elements from a combo box.

Author:
  Fabian Prasser

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`org.eclipse.jface.window.Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK`

### Constructor Summary

Constructors
Constructor and Description
`DialogComboSelection(org.eclipse.swt.widgets.Shell parentShell, java.lang.String dialogTitle, java.lang.String dialogMessage, java.lang.String[] choices, java.lang.String initialValue, org.eclipse.jface.dialogs.IInputValidator validator)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getValue()` Returns the string typed into this input dialog.
`void` `setErrorMessage(java.lang.String errorMessage)` Sets or clears the error message.

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DialogComboSelection

    public DialogComboSelection(org.eclipse.swt.widgets.Shell parentShell,
                                java.lang.String dialogTitle,
                                java.lang.String dialogMessage,
                                java.lang.String[] choices,
                                java.lang.String initialValue,
                                org.eclipse.jface.dialogs.IInputValidator validator)

Creates a new instance

Parameters:
  `parentShell` -
  `dialogTitle` -
  `dialogMessage` -
  `choices` -
  `initialValue` -
  `validator` -

### Method Detail

#### getValue

    public java.lang.String getValue()

Returns the string typed into this input dialog.

Returns:
  the input string

#### setErrorMessage

    public void setErrorMessage(java.lang.String errorMessage)

Sets or clears the error message. If not `null`, the OK button is disabled.

Parameters:
  `errorMessage` - the error message, or `null` to clear
Since:
  3.0